Bug 975692 - Instalator hangs when it need to remove lvm with snapshot.
Instalator hangs when it need to remove lvm with snapshot.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
20
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
RejectedBlocker RejectedFreezeException
:
: 975955 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 02:49 EDT by Artur Szymczak
Modified: 2014-10-06 10:32 EDT (History)
12 users (show)

See Also:
Fixed In Version: python-blivet-0.56-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-06 10:24:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artur Szymczak 2013-06-19 02:49:02 EDT
Description of problem:
When you have LVM with snapshot, anaconda hangs on trying to remove original, before removing snapshot.

Version-Release number of selected component (if applicable):
Fedora 19-TC5

How reproducible:
Create LV with snapshot, and then try in anaconda to remove all partitions, lvm and etc. Then try to install system (anaconda will try to remove all former disk layouts and will hang on removing original LV).

Steps to Reproduce:
1.
2.
3.

Actual results:
Anaconda hangs and is tryoing to remove LV before snapshot.

Expected results:
Anaconda should first remove snapshot, then LV (original)

Additional info:
Comment 1 Fedora Blocker Bugs Application 2013-06-19 06:57:19 EDT
Proposed as a Blocker for 19-final by Fedora user ajes using the blocker tracking app because:

 "The installer must be able to create and install to any workable partition layout using any file system offered in a default installer configuration, LVM, software, hardware or BIOS RAID, or combination of the above"
This bug, prevent from install using any layout (including default) without intervention (removing lvm by hand in cmdline).
Comment 2 Kamil Páral 2013-06-19 12:36:42 EDT
I tried to reproduce this and anaconda crashed, see bug 975955.
Comment 3 Adam Williamson 2013-06-19 12:40:23 EDT
Discussed at 2013-06-19 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-19/f19final-blocker-review-7.2013-06-19-16.01.log.txt . This is a corner case: LVM snapshots are not that commonly involved in Fedora installs. dlehman tells us the code around them in anaconda is already not in great shape overall, and he doesn't think it's a great idea to try and fix this at this point in the cycle. Given that input, we agreed to reject this as a blocker and freeze exception issue because we're as likely to make things worse as better by trying to fix this at this point. Re-assigning the bug to Rawhide - we may close it as a dupe of 975955.
Comment 4 Brian Lane 2013-06-20 21:29:10 EDT
*** Bug 975955 has been marked as a duplicate of this bug. ***
Comment 5 Adam Williamson 2013-06-20 21:44:35 EDT
dlehman mentioned on irc today he had a fix for this which looked rather safe - do you want it re-proposed as an FE? is the patch available for review?
Comment 6 Fedora End Of Life 2013-09-16 10:12:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 David Lehman 2014-10-06 10:24:37 EDT
Feel free to try this against F21 Alpha or Beta and reopen if the issue remains.

Note You need to log in before you can comment on or make changes to this bug.